import type { SvelteFlowStore } from '../../store/types';
import type { Edge, Node } from '../../types';
import type { OnMoveStart, OnMove, OnMoveEnd, PanOnScrollMode } from '@xyflow/system';
import type { Snippet } from 'svelte';
export type ZoomProps<NodeType extends Node = Node, EdgeType extends Edge = Edge> = {
    store: SvelteFlowStore<NodeType, EdgeType>;
    panOnScrollMode: PanOnScrollMode;
    preventScrolling: boolean;
    zoomOnScroll: boolean;
    zoomOnDoubleClick: boolean;
    zoomOnPinch: boolean;
    panOnScroll: boolean;
    panOnDrag: boolean | number[];
    paneClickDistance: number;
    onmove?: OnMove;
    onmovestart?: OnMoveStart;
    onmoveend?: OnMoveEnd;
    oninit?: () => void;
    children: Snippet;
};
