import { useStore } from '../store';
/**
 * Hook to get an internal node by id.
 *
 * @public
 * @param id - the node id
 * @returns An internal node or undefined
 */
export function useInternalNode(id) {
    const { nodeLookup, nodes } = $derived(useStore());
    const node = $derived.by(() => {
        // eslint-disable-next-line @typescript-eslint/no-unused-expressions
        nodes;
        return nodeLookup.get(id);
    });
    return {
        get current() {
            return node;
        }
    };
}
