import type { Edge, Node } from '../types';
import type { Viewport } from '@xyflow/system';
/**
 * Hook for getting the current nodes from the store.
 *
 * @public
 * @returns A reactive signal of the current nodes
 */
export declare function useNodes(): {
    current: Node[];
    update(updateFn: (nodes: Node[]) => Node[]): void;
    set(nodes: Node[]): void;
};
/**
 * Hook for getting the current edges from the store.
 *
 * @public
 * @returns A reactive signal of the current edges
 */
export declare function useEdges(): {
    current: Edge[];
    update(updateFn: (edges: Edge[]) => Edge[]): void;
    set(edges: Edge[]): void;
};
/**
 * Hook for getting the current viewport from the store.
 *
 * @public
 * @returns A reactive signal of the current viewport
 */
export declare function useViewport(): {
    current: Viewport;
    update(updateFn: (viewport: Viewport) => Viewport): void;
    set(viewport: Viewport): void;
};
